<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <!-- MODO 1: Script esterno -->
    <link rel="stylesheet" href="/js/caricamento.js">
    <title>Caricamento</title>
    <!-- MODO 2: Script interno -->
    <script>
        console.log('Sono stato caricato in un tag <script> all\'interno del tag <head>!');
    </script>
</head>

<!-- MODO 3: inline (evento)
    Lista completa su: https://www.w3schools.com/tags/ref_eventattributes.asp
-->
<body onload="console.log('Sono stato caricato all\'evento load (onload) del body!');">
    
    <h1>Caricamento</h1>
    <p>Ci sono 3 modalità per utilizzare gli script JavaScript all'interno di un documento:</p>
    <ol>
        <li>ESTERNO:<br>elemento script (all'interno dell'elemento head o body) con attributo src="<em>url</em>"</li>
        <li>INTERNO:<br>elemento script (all'interno dell'elemento head o body) con contenuto</li>
        <li>INLINE:<br>valore di un attributo evento (onload, onclick, ...)<br>In questo caso viene applicato un "console.log" come valore dell'attributo "onload" dell'elemento body</li>
    </ol>

    <p>Se guardi nel codice HTML vedrai dei commenti utili. Apri la developer console (F12) per vedere i messaggi.</p>
    
    <!-- MODO 2: Script interno -->
    <script>
        console.log('Sono stato caricato in un tag script all\'interno del tag <body>!');
    </script>
</body>
</html>